Vulnerability & Exploit Database

Displaying all 10 entries

Results for: CVE-2018-5129 Back to search

MFSA2018-06 Firefox: Security vulnerabilities fixed in Firefox 59 (CVE-2018-5129) Vulnerability

  • Severity: 5
  • Published: June 11, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

Gentoo Linux: CVE-2018-5129: Mozilla Firefox: Multiple vulnerabilities Vulnerability

  • Severity: 5
  • Published: June 11, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

Oracle Solaris 11: CVE-2018-5129: Vulnerability in Firefox, Thunderbird Vulnerability

  • Severity: 5
  • Published: April 18, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

Ubuntu: (Multiple Advisories) (CVE-2018-5129): Thunderbird vulnerabilities Vulnerability

  • Severity: 5
  • Published: March 29, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

SUSE: CVE-2018-5129: SUSE Linux Security Advisory Vulnerability

  • Severity: 5
  • Published: March 29, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

Red Hat: CVE-2018-5129: Critical: firefox security update (Multiple Advisories) Vulnerability

  • Severity: 5
  • Published: March 29, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

CentOS: (CVE-2018-5129) (Multiple Advisories): thunderbird Vulnerability

  • Severity: 5
  • Published: March 29, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

Alpine Linux: CVE-2018-5129: firefox-esr Multiple vulnerabilities Vulnerability

  • Severity: 5
  • Published: March 21, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.

MFSA2018-07 Firefox: Security vulnerabilities fixed in Firefox ESR 52.7 (CVE-2018-5129) Vulnerability

  • Severity: 5
  • Published: March 13, 2018

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process. This vulnerability affects Thunderbird < 52.7, Firefox ESR < 52.7, and Firefox < 59.